<Container
  data-size={{@size}}
  data-path={{concat @path ".data.container"}}
  data-name={{this.col.name}}
  data-type="col"
  class="col {{col-size-limit @size @col.cls}}"
  {{on "click" this.select}}
  ...attributes
  @value={{@col.data.container}}
  @deviceSize={{@size}}
>
  {{#if this.hasManyComponents}}
    {{#each this.cols as |col|}}
      {{! template-lint-disable no-invalid-interactive }}
      <div
        class="page-col-content"
        {{on "click" (fn this.selectCol col)}}
      >{{yield col}}</div>
    {{/each}}
  {{else}}
    {{yield this.col}}
  {{/if}}
</Container>